PDFsharp & MigraDoc Foundation
https://forum.pdfsharp.net/

Error with PDF version 1.3 with Acrobat 4.x
https://forum.pdfsharp.net/viewtopic.php?f=2&t=3962
Page 1 of 1

Author:  SofiaRodrigues25 [ Fri May 17, 2019 8:36 am ]
Post subject:  Error with PDF version 1.3 with Acrobat 4.x

I'm trying to use a PDF, which version is 1.3 (Acrobat 4.x) and I get this error:

Quote:
PdfSharp.Pdf.IO.PdfReaderException
HResult=0x80131500
Message=Invalid entry in XRef table, ID=9, Generation=0, Position=0, ID of referenced object=6, Generation of referenced object=0

I'm using PDFSharp on NuGet, version 1.50.5147.

Can someone tell me if there is another version that can handle those PDF or what the error means?
NOTE: I'm adding the properties of the PDF attached.
Thanks in advance.

Attachments:
File comment: The properties of the PDF.
asd.PNG
asd.PNG [ 33.22 KiB | Viewed 1990 times ]

Author:  Thomas Hoevel [ Wed May 22, 2019 9:10 am ]
Post subject:  Re: Error with PDF version 1.3 with Acrobat 4.x

SofiaRodrigues25 wrote:
Can someone tell me if there is another version that can handle those PDF or what the error means?
The error means that the PDF file is corrupt and gives contradicting information.
Often corrupt PDF files can be fixed by opening them with Adobe Reader and using "Save as".

Page 1 of 1 All times are UTC
Powered by phpBB® Forum Software © phpBB Group
https://www.phpbb.com/